##### windows::basic_overlapped_handle::basic_overlapped_handle (5 of 6 overloads)

Move-construct an overlapped handle from another.

    basic_overlapped_handle(
        basic_overlapped_handle && other);

This constructor moves a handle from one object to another.

###### Parameters

other

  The other overlapped handle object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `overlapped_handle(const executor_type&)` constructor.